scala.reflect.macros.Universe

# CompilationUnit

#### abstract type CompilationUnit <: CompilationUnitContextApi

The type of compilation units.

Annotations
  @deprecated
Deprecated

  (Since version 2.11.0) c.enclosingTree-style APIs are now deprecated; consult the scaladoc for more information

Source
  Universe.scala
See also

  scala.reflect.macros.Enclosures

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. CompilationUnit
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def body: Universe.Tree

   The AST that corresponds to this compilation unit.

   The AST that corresponds to this compilation unit.

   Definition Classes
     CompilationUnitContextApi
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) c.enclosingTree-style APIs are now deprecated; consult the scaladoc for more information

2. #### abstract def source: SourceFile

   Source file corresponding to this compilation unit.

   Source file corresponding to this compilation unit.

   Exposes information about the file as a part of a real or virtual file system along with the contents of that file.

   The return type is `scala.reflect.io.AbstractFile`, which belongs to an experimental part of Scala reflection. It should not be used unless you know what you are doing. In subsequent releases, this API will be refined and exposed as a part of scala.reflect.api.

   Definition Classes
     CompilationUnitContextApi
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) c.enclosingTree-style APIs are now deprecated; consult the scaladoc for more information

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### final def notify(): Unit

    Definition Classes
      AnyRef

14. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

15. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

16. #### def toString(): String

    Definition Classes
      AnyRef → Any

17. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

18. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped